<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddDownloadCenterSidebarmenu extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        $downloadCenter = [
            'download-center' => array(
                'module' => "DownloadCenter",
                'sidebar_menu' => null,
                'name' => 'Download Center',
                'lang_name' => 'downloadCenter.download_center',
                'icon' => "fas fa-solid fa-download",
                'svg' => null,
                'route' => 'download-center',
                'parent_route' => null,
                'is_admin' => 1,
                'is_teacher' => 0,
                'is_student' => 1,
                'is_parent' => 1,
                'position' => 6,
                'is_saas' => 0,
                'is_menu' => 1,
                'status' => 1,
                'menu_status' => 1,
                'relate_to_child' => 0,
                'alternate_module' => null,
                'permission_section' => 0,
                'user_id' => null,
                'type' => 1,
                'old_id' => null,
                'child' => array(
                    'download-center.content-type' => array(
                        'module' => 'DownloadCenter',
                        'sidebar_menu' => null,
                        'name' => 'Content Type',
                        'lang_name' => 'downloadCenter.content_type',
                        'icon' => null,
                        'svg' => null,
                        'route' => 'download-center.content-type',
                        'parent_route' => 'download-center',
                        'is_admin' => 1,
                        'is_teacher' => 0,
                        'is_student' => 0,
                        'is_parent' => 0,
                        'position' => 1,
                        'is_saas' => 0,
                        'is_menu' => 1,
                        'status' => 1,
                        'menu_status' => 1,
                        'relate_to_child' => 0,
                        'alternate_module' => null,
                        'permission_section' => 0,
                        'user_id' => null,
                        'type' => 2,
                        'old_id' => null,
                        'child' => array(
                            'download-center.content-type-save' => array(
                                'module' => 'DownloadCenter',
                                'sidebar_menu' => null,
                                'name' => 'Add',
                                'lang_name' => null,
                                'icon' => null,
                                'svg' => null,
                                'route' => 'download-center.content-type-save',
                                'parent_route' => 'download-center.content-type',
                                'is_admin' => 1,
                                'is_teacher' => 0,
                                'is_student' => 0,
                                'is_parent' => 0,
                                'position' => 1,
                                'is_saas' => 0,
                                'is_menu' => 0,
                                'status' => 1,
                                'menu_status' => 1,
                                'relate_to_child' => 0,
                                'alternate_module' => null,
                                'permission_section' => 0,
                                'user_id' => null,
                                'type' => 3,
                                'old_id' => null,
                            ),
                            'download-center.content-type-edit' => array(
                                'module' => 'DownloadCenter',
                                'sidebar_menu' => null,
                                'name' => 'Edit',
                                'lang_name' => null,
                                'icon' => null,
                                'svg' => null,
                                'route' => 'download-center.content-type-edit',
                                'parent_route' => 'download-center.content-type',
                                'is_admin' => 1,
                                'is_teacher' => 0,
                                'is_student' => 0,
                                'is_parent' => 0,
                                'position' => 2,
                                'is_saas' => 0,
                                'is_menu' => 0,
                                'status' => 1,
                                'menu_status' => 1,
                                'relate_to_child' => 0,
                                'alternate_module' => null,
                                'permission_section' => 0,
                                'user_id' => null,
                                'type' => 3,
                                'old_id' => null,
                            ),
                            'download-center.content-type-update' => array(
                                'module' => 'DownloadCenter',
                                'sidebar_menu' => null,
                                'name' => 'Update',
                                'lang_name' => null,
                                'icon' => null,
                                'svg' => null,
                                'route' => 'download-center.content-type-update',
                                'parent_route' => 'download-center.content-type',
                                'is_admin' => 1,
                                'is_teacher' => 0,
                                'is_student' => 0,
                                'is_parent' => 0,
                                'position' => 3,
                                'is_saas' => 0,
                                'is_menu' => 0,
                                'status' => 1,
                                'menu_status' => 1,
                                'relate_to_child' => 0,
                                'alternate_module' => null,
                                'permission_section' => 0,
                                'user_id' => null,
                                'type' => 3,
                                'old_id' => null,
                            ),
                            'download-center.content-type-delete' => array(
                                'module' => 'DownloadCenter',
                                'sidebar_menu' => null,
                                'name' => 'Delete',
                                'lang_name' => null,
                                'icon' => null,
                                'svg' => null,
                                'route' => 'download-center.content-type-delete',
                                'parent_route' => 'download-center.content-type',
                                'is_admin' => 1,
                                'is_teacher' => 0,
                                'is_student' => 0,
                                'is_parent' => 0,
                                'position' => 4,
                                'is_saas' => 0,
                                'is_menu' => 0,
                                'status' => 1,
                                'menu_status' => 1,
                                'relate_to_child' => 0,
                                'alternate_module' => null,
                                'permission_section' => 0,
                                'user_id' => null,
                                'type' => 3,
                                'old_id' => null,
                            ),
                        ),
                    ),
                    'download-center.content-list' => array(
                        'module' => 'DownloadCenter',
                        'sidebar_menu' => null,
                        'name' => 'Content List',
                        'lang_name' => 'downloadCenter.content_list',
                        'icon' => null,
                        'svg' => null,
                        'route' => 'download-center.content-list',
                        'parent_route' => 'download-center',
                        'is_admin' => 1,
                        'is_teacher' => 0,
                        'is_student' => 0,
                        'is_parent' => 0,
                        'position' => 2,
                        'is_saas' => 0,
                        'is_menu' => 1,
                        'status' => 1,
                        'menu_status' => 1,
                        'relate_to_child' => 0,
                        'alternate_module' => null,
                        'permission_section' => 0,
                        'user_id' => null,
                        'type' => 2,
                        'old_id' => null,
                        'child' => array(
                            'download-center.content-list-save' => array(
                                'module' => 'DownloadCenter',
                                'sidebar_menu' => null,
                                'name' => 'Add',
                                'lang_name' => null,
                                'icon' => null,
                                'svg' => null,
                                'route' => 'download-center.content-list-save',
                                'parent_route' => 'download-center.content-list',
                                'is_admin' => 1,
                                'is_teacher' => 0,
                                'is_student' => 0,
                                'is_parent' => 0,
                                'position' => 1,
                                'is_saas' => 0,
                                'is_menu' => 0,
                                'status' => 1,
                                'menu_status' => 1,
                                'relate_to_child' => 0,
                                'alternate_module' => null,
                                'permission_section' => 0,
                                'user_id' => null,
                                'type' => 3,
                                'old_id' => null,
                            ),
                            'download-center.content-list-edit' => array(
                                'module' => 'DownloadCenter',
                                'sidebar_menu' => null,
                                'name' => 'Edit',
                                'lang_name' => null,
                                'icon' => null,
                                'svg' => null,
                                'route' => 'download-center.content-list-edit',
                                'parent_route' => 'download-center.content-list',
                                'is_admin' => 1,
                                'is_teacher' => 0,
                                'is_student' => 0,
                                'is_parent' => 0,
                                'position' => 2,
                                'is_saas' => 0,
                                'is_menu' => 0,
                                'status' => 1,
                                'menu_status' => 1,
                                'relate_to_child' => 0,
                                'alternate_module' => null,
                                'permission_section' => 0,
                                'user_id' => null,
                                'type' => 3,
                                'old_id' => null,
                            ),
                            'download-center.content-list-update' => array(
                                'module' => 'DownloadCenter',
                                'sidebar_menu' => null,
                                'name' => 'Update',
                                'lang_name' => null,
                                'icon' => null,
                                'svg' => null,
                                'route' => 'download-center.content-list-update',
                                'parent_route' => 'download-center.content-list',
                                'is_admin' => 1,
                                'is_teacher' => 0,
                                'is_student' => 0,
                                'is_parent' => 0,
                                'position' => 3,
                                'is_saas' => 0,
                                'is_menu' => 0,
                                'status' => 1,
                                'menu_status' => 1,
                                'relate_to_child' => 0,
                                'alternate_module' => null,
                                'permission_section' => 0,
                                'user_id' => null,
                                'type' => 3,
                                'old_id' => null,
                            ),
                            'download-center.content-list-delete' => array(
                                'module' => 'DownloadCenter',
                                'sidebar_menu' => null,
                                'name' => 'Delete',
                                'lang_name' => null,
                                'icon' => null,
                                'svg' => null,
                                'route' => 'download-center.content-list-delete',
                                'parent_route' => 'download-center.content-list',
                                'is_admin' => 1,
                                'is_teacher' => 0,
                                'is_student' => 0,
                                'is_parent' => 0,
                                'position' => 4,
                                'is_saas' => 0,
                                'is_menu' => 0,
                                'status' => 1,
                                'menu_status' => 1,
                                'relate_to_child' => 0,
                                'alternate_module' => null,
                                'permission_section' => 0,
                                'user_id' => null,
                                'type' => 3,
                                'old_id' => null,
                            ),
                            'download-center.content-list-search' => array(
                                'module' => 'DownloadCenter',
                                'sidebar_menu' => null,
                                'name' => 'Search',
                                'lang_name' => null,
                                'icon' => null,
                                'svg' => null,
                                'route' => 'download-center.content-list-search',
                                'parent_route' => 'download-center.content-list',
                                'is_admin' => 1,
                                'is_teacher' => 0,
                                'is_student' => 0,
                                'is_parent' => 0,
                                'position' => 5,
                                'is_saas' => 0,
                                'is_menu' => 0,
                                'status' => 1,
                                'menu_status' => 1,
                                'relate_to_child' => 0,
                                'alternate_module' => null,
                                'permission_section' => 0,
                                'user_id' => null,
                                'type' => 3,
                                'old_id' => null,
                            ),
                        ),
                    ),
                    'download-center.content-share-list' => array(
                        'module' => 'DownloadCenter',
                        'sidebar_menu' => null,
                        'name' => 'Shared Content List',
                        'lang_name' => 'downloadCenter.shared_content_list',
                        'icon' => null,
                        'svg' => null,
                        'route' => 'download-center.content-share-list',
                        'parent_route' => 'download-center',
                        'is_admin' => 1,
                        'is_teacher' => 0,
                        'is_student' => 1,
                        'is_parent' => 0,
                        'position' => 3,
                        'is_saas' => 0,
                        'is_menu' => 1,
                        'status' => 1,
                        'menu_status' => 1,
                        'relate_to_child' => 0,
                        'alternate_module' => null,
                        'permission_section' => 0,
                        'user_id' => null,
                        'type' => 2,
                        'old_id' => null,
                        'child' => array(
                            'download-center.content-share-list-save' => array(
                                'module' => 'DownloadCenter',
                                'sidebar_menu' => null,
                                'name' => 'Add',
                                'lang_name' => null,
                                'icon' => null,
                                'svg' => null,
                                'route' => 'download-center.content-share-list-save',
                                'parent_route' => 'download-center.content-share-list',
                                'is_admin' => 1,
                                'is_teacher' => 0,
                                'is_student' => 0,
                                'is_parent' => 0,
                                'position' => 1,
                                'is_saas' => 0,
                                'is_menu' => 0,
                                'status' => 1,
                                'menu_status' => 1,
                                'relate_to_child' => 0,
                                'alternate_module' => null,
                                'permission_section' => 0,
                                'user_id' => null,
                                'type' => 3,
                                'old_id' => null,
                            ),
                            'download-center.content-generate-url-save' => array(
                                'module' => 'DownloadCenter',
                                'sidebar_menu' => null,
                                'name' => 'Generate Link',
                                'lang_name' => null,
                                'icon' => null,
                                'svg' => null,
                                'route' => 'download-center.content-generate-url-save',
                                'parent_route' => 'download-center.content-share-list',
                                'is_admin' => 1,
                                'is_teacher' => 0,
                                'is_student' => 0,
                                'is_parent' => 0,
                                'position' => 2,
                                'is_saas' => 0,
                                'is_menu' => 0,
                                'status' => 1,
                                'menu_status' => 1,
                                'relate_to_child' => 0,
                                'alternate_module' => null,
                                'permission_section' => 0,
                                'user_id' => null,
                                'type' => 3,
                                'old_id' => null,
                            ),
                        ),
                    ),
                    'download-center.video-list' => array(
                        'module' => 'DownloadCenter',
                        'sidebar_menu' => null,
                        'name' => 'Video List',
                        'lang_name' => 'downloadCenter.video_list',
                        'icon' => null,
                        'svg' => null,
                        'route' => 'download-center.video-list',
                        'parent_route' => 'download-center',
                        'is_admin' => 1,
                        'is_teacher' => 0,
                        'is_student' => 1,
                        'is_parent' => 0,
                        'position' => 4,
                        'is_saas' => 0,
                        'is_menu' => 1,
                        'status' => 1,
                        'menu_status' => 1,
                        'relate_to_child' => 0,
                        'alternate_module' => null,
                        'permission_section' => 0,
                        'user_id' => null,
                        'type' => 2,
                        'old_id' => null,
                        'child' => array(
                            'download-center.video-list-save' => array(
                                'module' => 'DownloadCenter',
                                'sidebar_menu' => null,
                                'name' => 'Add',
                                'lang_name' => null,
                                'icon' => null,
                                'svg' => null,
                                'route' => 'download-center.video-list-save',
                                'parent_route' => 'download-center.video-list',
                                'is_admin' => 1,
                                'is_teacher' => 0,
                                'is_student' => 0,
                                'is_parent' => 0,
                                'position' => 1,
                                'is_saas' => 0,
                                'is_menu' => 0,
                                'status' => 1,
                                'menu_status' => 1,
                                'relate_to_child' => 0,
                                'alternate_module' => null,
                                'permission_section' => 0,
                                'user_id' => null,
                                'type' => 3,
                                'old_id' => null,
                            ),
                            'download-center.video-list-update' => array(
                                'module' => 'DownloadCenter',
                                'sidebar_menu' => null,
                                'name' => 'Update',
                                'lang_name' => null,
                                'icon' => null,
                                'svg' => null,
                                'route' => 'download-center.video-list-update',
                                'parent_route' => 'download-center.video-list',
                                'is_admin' => 1,
                                'is_teacher' => 0,
                                'is_student' => 0,
                                'is_parent' => 0,
                                'position' => 2,
                                'is_saas' => 0,
                                'is_menu' => 0,
                                'status' => 1,
                                'menu_status' => 1,
                                'relate_to_child' => 0,
                                'alternate_module' => null,
                                'permission_section' => 0,
                                'user_id' => null,
                                'type' => 3,
                                'old_id' => null,
                            ),
                            'download-center.video-list-delete' => array(
                                'module' => 'DownloadCenter',
                                'sidebar_menu' => null,
                                'name' => 'Delete',
                                'lang_name' => null,
                                'icon' => null,
                                'svg' => null,
                                'route' => 'download-center.video-list-delete',
                                'parent_route' => 'download-center.video-list',
                                'is_admin' => 1,
                                'is_teacher' => 0,
                                'is_student' => 0,
                                'is_parent' => 0,
                                'position' => 3,
                                'is_saas' => 0,
                                'is_menu' => 0,
                                'status' => 1,
                                'menu_status' => 1,
                                'relate_to_child' => 0,
                                'alternate_module' => null,
                                'permission_section' => 0,
                                'user_id' => null,
                                'type' => 3,
                                'old_id' => null,
                            ),
                            'download-center.video-list-search' => array(
                                'module' => 'DownloadCenter',
                                'sidebar_menu' => null,
                                'name' => 'Search',
                                'lang_name' => null,
                                'icon' => null,
                                'svg' => null,
                                'route' => 'download-center.video-list-search',
                                'parent_route' => 'download-center.video-list',
                                'is_admin' => 1,
                                'is_teacher' => 0,
                                'is_student' => 0,
                                'is_parent' => 0,
                                'position' => 4,
                                'is_saas' => 0,
                                'is_menu' => 0,
                                'status' => 1,
                                'menu_status' => 1,
                                'relate_to_child' => 0,
                                'alternate_module' => null,
                                'permission_section' => 0,
                                'user_id' => null,
                                'type' => 3,
                                'old_id' => null,
                            ),
                        ),
                    ),
                    'download-center.parent-content-share-list' => array(
                        'module' => 'DownloadCenter',
                        'sidebar_menu' => null,
                        'name' => 'Content List',
                        'lang_name' => 'downloadCenter.content_list',
                        'icon' => null,
                        'svg' => null,
                        'route' => 'download-center.parent-content-share-list',
                        'parent_route' => 'download-center',
                        'is_admin' => 0,
                        'is_teacher' => 0,
                        'is_student' => 0,
                        'is_parent' => 1,
                        'position' => 5,
                        'is_saas' => 0,
                        'is_menu' => 1,
                        'status' => 1,
                        'menu_status' => 1,
                        'relate_to_child' => 1,
                        'alternate_module' => null,
                        'permission_section' => 0,
                        'user_id' => null,
                        'type' => 2,
                        'old_id' => null,
                    ),
                    'download-center.parent-video-list' => array(
                        'module' => 'DownloadCenter',
                        'sidebar_menu' => null,
                        'name' => 'Video List',
                        'lang_name' => 'downloadCenter.video_list',
                        'icon' => null,
                        'svg' => null,
                        'route' => 'download-center.parent-video-list',
                        'parent_route' => 'download-center',
                        'is_admin' => 0,
                        'is_teacher' => 0,
                        'is_student' => 0,
                        'is_parent' => 1,
                        'position' => 6,
                        'is_saas' => 0,
                        'is_menu' => 1,
                        'status' => 1,
                        'menu_status' => 1,
                        'relate_to_child' => 1,
                        'alternate_module' => null,
                        'permission_section' => 0,
                        'user_id' => null,
                        'type' => 2,
                        'old_id' => null,
                    ),
                ),
            ),
        ];
        foreach ($downloadCenter as $menu) {
            storePermissionData($menu);
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('', function (Blueprint $table) {
        });
    }
}
